com.genesyslab.wfm7.API.service.config761

## Class CfgBU

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config761.CfgBU

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgBU
      extends java.lang.Object
      implements java.io.Serializable

  Business Unit information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private long` | `timestamp` A timestamp value -- marks the point in time when Object information was obtained
    `private int` | `wmBUId` Business Unit ID
    `private int` | `wmDaStatId` ID of Data Aggregator application assigned to Business Unit
    `private java.lang.String` | `wmName` Name of Business Unit
    `private int[]` | `wmSites` An array of Site IDs (`CfgSite`) that are under Business Unit
    `private int` | `wmSitesNSizeIs` Number of elements in wmSites array
    `private int` | `wmTimezoneId` Time Zone ID--identifies `CfgTimezone` object
    `private int[]` | `wmVirtualActivities` An array of Multi-Site Activity IDs (`CfgVirtualActivity`) that are under the Business Unit
    `private int` | `wmVirtualActivitiesNSizeIs` Number of elements in wmVirtualActivities array

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgBU()`
    `CfgBU(int wmBUId, java.lang.String wmName, int wmTimezoneId, int wmDaStatId, int wmSitesNSizeIs, int[] wmSites, int wmVirtualActivitiesNSizeIs, int[] wmVirtualActivities, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `long` | `getTimestamp()` Gets the timestamp value for this CfgBU.
    `int` | `getWmBUId()` Gets the wmBUId value for this CfgBU.
    `int` | `getWmDaStatId()` Gets the wmDaStatId value for this CfgBU.
    `java.lang.String` | `getWmName()` Gets the wmName value for this CfgBU.
    `int[]` | `getWmSites()` Gets the wmSites value for this CfgBU.
    `int` | `getWmSitesNSizeIs()` Gets the wmSitesNSizeIs value for this CfgBU.
    `int` | `getWmTimezoneId()` Gets the wmTimezoneId value for this CfgBU.
    `int[]` | `getWmVirtualActivities()` Gets the wmVirtualActivities value for this CfgBU.
    `int` | `getWmVirtualActivitiesNSizeIs()` Gets the wmVirtualActivitiesNSizeIs value for this CfgBU.
    `int` | `hashCode()`
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgBU.
    `void` | `setWmBUId(int wmBUId)` Sets the wmBUId value for this CfgBU.
    `void` | `setWmDaStatId(int wmDaStatId)` Sets the wmDaStatId value for this CfgBU.
    `void` | `setWmName(java.lang.String wmName)` Sets the wmName value for this CfgBU.
    `void` | `setWmSites(int[] wmSites)` Sets the wmSites value for this CfgBU.
    `void` | `setWmSitesNSizeIs(int wmSitesNSizeIs)` Sets the wmSitesNSizeIs value for this CfgBU.
    `void` | `setWmTimezoneId(int wmTimezoneId)` Sets the wmTimezoneId value for this CfgBU.
    `void` | `setWmVirtualActivities(int[] wmVirtualActivities)` Sets the wmVirtualActivities value for this CfgBU.
    `void` | `setWmVirtualActivitiesNSizeIs(int wmVirtualActivitiesNSizeIs)` Sets the wmVirtualActivitiesNSizeIs value for this CfgBU.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmBUId

          private int wmBUId

      Business Unit ID

    - #### wmName

          private java.lang.String wmName

      Name of Business Unit

    - #### wmTimezoneId

          private int wmTimezoneId

      Time Zone ID--identifies `CfgTimezone` object

    - #### wmDaStatId

          private int wmDaStatId

      ID of Data Aggregator application assigned to Business Unit

    - #### wmSitesNSizeIs

          private int wmSitesNSizeIs

      Number of elements in wmSites array

    - #### wmSites

          private int[] wmSites

      An array of Site IDs (`CfgSite`) that are under Business Unit

    - #### wmVirtualActivitiesNSizeIs

          private int wmVirtualActivitiesNSizeIs

      Number of elements in wmVirtualActivities array

    - #### wmVirtualActivities

          private int[] wmVirtualActivities

      An array of Multi-Site Activity IDs (`CfgVirtualActivity`) that are under the Business Unit

    - #### timestamp

          private long timestamp

      A timestamp value -- marks the point in time when Object information was obtained

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgBU

          public CfgBU()

    - #### CfgBU

          public CfgBU(int wmBUId,
               java.lang.String wmName,
               int wmTimezoneId,
               int wmDaStatId,
               int wmSitesNSizeIs,
               int[] wmSites,
               int wmVirtualActivitiesNSizeIs,
               int[] wmVirtualActivities,
               long timestamp)

  - ### Method Detail

    - #### getWmBUId

          public int getWmBUId()

      Gets the wmBUId value for this CfgBU.
      Returns:
        wmBUId

    - #### setWmBUId

          public void setWmBUId(int wmBUId)

      Sets the wmBUId value for this CfgBU.
      Parameters:
        `wmBUId` -

    - #### getWmName

          public java.lang.String getWmName()

      Gets the wmName value for this CfgBU.
      Returns:
        wmName

    - #### setWmName

          public void setWmName(java.lang.String wmName)

      Sets the wmName value for this CfgBU.
      Parameters:
        `wmName` -

    - #### getWmTimezoneId

          public int getWmTimezoneId()

      Gets the wmTimezoneId value for this CfgBU.
      Returns:
        wmTimezoneId

    - #### setWmTimezoneId

          public void setWmTimezoneId(int wmTimezoneId)

      Sets the wmTimezoneId value for this CfgBU.
      Parameters:
        `wmTimezoneId` -

    - #### getWmDaStatId

          public int getWmDaStatId()

      Gets the wmDaStatId value for this CfgBU.
      Returns:
        wmDaStatId

    - #### setWmDaStatId

          public void setWmDaStatId(int wmDaStatId)

      Sets the wmDaStatId value for this CfgBU.
      Parameters:
        `wmDaStatId` -

    - #### getWmSitesNSizeIs

          public int getWmSitesNSizeIs()

      Gets the wmSitesNSizeIs value for this CfgBU.
      Returns:
        wmSitesNSizeIs

    - #### setWmSitesNSizeIs

          public void setWmSitesNSizeIs(int wmSitesNSizeIs)

      Sets the wmSitesNSizeIs value for this CfgBU.
      Parameters:
        `wmSitesNSizeIs` -

    - #### getWmSites

          public int[] getWmSites()

      Gets the wmSites value for this CfgBU.
      Returns:
        wmSites

    - #### setWmSites

          public void setWmSites(int[] wmSites)

      Sets the wmSites value for this CfgBU.
      Parameters:
        `wmSites` -

    - #### getWmVirtualActivitiesNSizeIs

          public int getWmVirtualActivitiesNSizeIs()

      Gets the wmVirtualActivitiesNSizeIs value for this CfgBU.
      Returns:
        wmVirtualActivitiesNSizeIs

    - #### setWmVirtualActivitiesNSizeIs

          public void setWmVirtualActivitiesNSizeIs(int wmVirtualActivitiesNSizeIs)

      Sets the wmVirtualActivitiesNSizeIs value for this CfgBU.
      Parameters:
        `wmVirtualActivitiesNSizeIs` -

    - #### getWmVirtualActivities

          public int[] getWmVirtualActivities()

      Gets the wmVirtualActivities value for this CfgBU.
      Returns:
        wmVirtualActivities

    - #### setWmVirtualActivities

          public void setWmVirtualActivities(int[] wmVirtualActivities)

      Sets the wmVirtualActivities value for this CfgBU.
      Parameters:
        `wmVirtualActivities` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgBU.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgBU.
      Parameters:
        `timestamp` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.